### Method

# Json Object get_double_member_with_default

#### Declaration [src]

    double
    json_object_get_double_member_with_default (
      JsonObject* object,
      const char* member_name,
      double default_value
    )

#### Description [src]

Convenience function that retrieves the floating point value stored in `member_name` of `object`.

If `member_name` does not exist, does not contain a scalar value, or contains `null`, then `default_value` is returned instead.

Available since: | 1.6

#### Parameters

`member_name` | `const char*`
| The name of the `object` member.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`default_value` | `double`
| The value to return if `member_name` is not valid.

#### Return value

Returns: | `double`
| The floating point value of the object’s member, or the given default.